org.apache.fop.render.pcl.fonts

## Class PCLCharacterDefinition

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLCharacterDefinition

-     public class PCLCharacterDefinition
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PCLCharacterDefinition.PCLCharacterClass` Character Class used in PCL Character Descriptor See Table 11-51 from PCL 5 Specification
    `static class` | `PCLCharacterDefinition.PCLCharacterFormat` Character Format used in PCL Character Descriptor See Table 11-50 from PCL 5 Specification

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLCharacterDefinition(int charCode, PCLCharacterDefinition.PCLCharacterFormat charFormat, PCLCharacterDefinition.PCLCharacterClass charClass, byte[] glyfData, boolean isComposite)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCompositeGlyph(PCLCharacterDefinition composite)`
    `byte[]` | `getCharacterCommand()`
    `byte[]` | `getCharacterDefinitionCommand()`
    `java.util.List<PCLCharacterDefinition>` | `getCompositeGlyphs()`
    `byte[]` | `getData()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLCharacterDefinition

          public PCLCharacterDefinition(int charCode,
                                PCLCharacterDefinition.PCLCharacterFormat charFormat,
                                PCLCharacterDefinition.PCLCharacterClass charClass,
                                byte[] glyfData,
                                boolean isComposite)

  - ### Method Detail

    - #### getCharacterCommand

          public byte[] getCharacterCommand()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCharacterDefinitionCommand

          public byte[] getCharacterDefinitionCommand()
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getData

          public byte[] getData()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addCompositeGlyph

          public void addCompositeGlyph(PCLCharacterDefinition composite)

    - #### getCompositeGlyphs

          public java.util.List<PCLCharacterDefinition> getCompositeGlyphs()

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.